FreeMat

- Main Page
- Related Pages

vtkPlaybackWidget

Section: Visualization Toolkit Widget Classes

# Usage

This class provides support for interactively controlling the playback of a serial stream of information (e.g., animation sequence, video, etc.). Controls for play, stop, advance one step forward, advance one step backward, jump to beginning, and jump to end are available.

To create an instance of class vtkPlaybackWidget, simply invoke its constructor as follows

      obj = vtkPlaybackWidget

# Methods

The class vtkPlaybackWidget has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPlaybackWidget class.

- `string = obj.GetClassName ()` - Standar VTK class methods.
- `int = obj.IsA (string name)` - Standar VTK class methods.
- `vtkPlaybackWidget = obj.NewInstance ()` - Standar VTK class methods.
- `vtkPlaybackWidget = obj.SafeDownCast (vtkObject o)` - Standar VTK class methods.
- `obj.SetRepresentation (vtkPlaybackRepresentation r)` - Create the default widget representation if one is not set.
- `obj.CreateDefaultRepresentation ()` - Create the default widget representation if one is not set.